summaryrefslogtreecommitdiffstats
path: root/source/d/dev86
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/d/dev86
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/d/dev86')
-rw-r--r--source/d/dev86/README8
-rw-r--r--source/d/dev86/dev86-x86_64.noelks.patch19
-rw-r--r--source/d/dev86/dev86-x86_64.patch20
-rwxr-xr-xsource/d/dev86/dev86.SlackBuild98
-rw-r--r--source/d/dev86/dev86.info8
-rw-r--r--source/d/dev86/slack-desc12
6 files changed, 165 insertions, 0 deletions
diff --git a/source/d/dev86/README b/source/d/dev86/README
new file mode 100644
index 000000000..407e6d07b
--- /dev/null
+++ b/source/d/dev86/README
@@ -0,0 +1,8 @@
+This is a complete 8086 assembler and loader which can make 32-bit
+code for the 386+ processors. In the past it was used to compile the
+16-bit bootsector and setup binaries for the kernel, but modern
+(2.4.x or newer) kernels use GNU ld instead.
+
+There's a package bin86 already included in Slackware, which is a
+subset of the programs of dev86. Therefore the bin86 programs are
+not included in this package. \ No newline at end of file
diff --git a/source/d/dev86/dev86-x86_64.noelks.patch b/source/d/dev86/dev86-x86_64.noelks.patch
new file mode 100644
index 000000000..f30ae35a1
--- /dev/null
+++ b/source/d/dev86/dev86-x86_64.noelks.patch
@@ -0,0 +1,19 @@
+* Wed Jan 25 2006 Jeremy Katz <katzj@redhat.com> - 0.16.17-2
+- build on x86_64
+- don't build elks (it's not happy on x86_64)
+
+--- dev86-0.16.17/makefile.in.noelks 2006-01-25 17:03:02.000000000 -0500
++++ dev86-0.16.17/makefile.in 2006-01-25 17:03:19.000000000 -0500
+@@ -89,10 +89,10 @@
+
+ #ifdef GNUMAKE
+ all: check_config bcc86 cpp unproto copt as86 ar86 ld86 objdump86 \
+- library lib-bsd alt-libs elksemu
++ library lib-bsd alt-libs
+
+ install: check_config install-bcc install-man \
+- install-lib install-emu
++ install-lib
+
+ install-all: install install-other
+
diff --git a/source/d/dev86/dev86-x86_64.patch b/source/d/dev86/dev86-x86_64.patch
new file mode 100644
index 000000000..01fa549b9
--- /dev/null
+++ b/source/d/dev86/dev86-x86_64.patch
@@ -0,0 +1,20 @@
+--- dev86-0.16.17/bcc/bcc.c.fix 2005-01-03 23:41:55.000000000 +0100
++++ dev86-0.16.17/bcc/bcc.c 2006-12-27 16:32:57.000000000 +0100
+@@ -226,12 +226,12 @@
+
+ } else {
+ /* Relative paths to normal PREFIX directory */
+- default_include = build_libpath("-I", "/lib/bcc/include", "");
+- default_libdir = build_libpath("-L", "/lib/bcc", libdir_suffix);
+- optim_rules = build_libpath("-d", "/lib/bcc", libdir_suffix);
++ default_include = build_libpath("-I", "/lib64/bcc/include", "");
++ default_libdir = build_libpath("-L", "/lib64/bcc", libdir_suffix);
++ optim_rules = build_libpath("-d", "/lib64/bcc", libdir_suffix);
+
+- build_prefix("/lib/bcc", libdir_suffix, "");
+- build_prefix("/lib/bcc", "", "");
++ build_prefix("/lib64/bcc", libdir_suffix, "");
++ build_prefix("/lib64/bcc", "", "");
+ }
+
+ build_prefix("/bin", "", "");
diff --git a/source/d/dev86/dev86.SlackBuild b/source/d/dev86/dev86.SlackBuild
new file mode 100755
index 000000000..e4c06882c
--- /dev/null
+++ b/source/d/dev86/dev86.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dev86
+SRCNAM=Dev86src
+VERSION=0.16.17
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+if [ "$ARCH" = "x86_64" ]; then
+ zcat $CWD/dev86-x86_64.patch.gz \
+ | patch -p1 --verbose --backup --suffix=.orig -E
+ # On x86_64 elks will not build:
+ zcat $CWD/dev86-x86_64.noelks.patch.gz \
+ | patch -p1 --verbose --backup --suffix=.orig -E
+fi
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+#Does not compile with changed CFLAGS
+#CC="gcc" make CFLAGS="-Wall -Wstrict-prototypes $SLKCFLAGS -g" DIST=$PKG
+CC="gcc" \
+make DIST=$PKG MANDIR=/usr/man LIBDIR=/usr/lib${LIBDIRSUFFIX}/bcc \
+ INCLDIR=/usr/lib${LIBDIRSUFFIX}/bcc LOCALPREFIX=/usr \
+ install install-man
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes Contributors COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+for i in bootblocks copt dis88 elksemu unproto ; do
+ cp -a $i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+if [ "$ARCH" = "x86_64" ]; then # Remove traces of elks
+ rm -f $PKG/usr/doc/$PRGNAM-$VERSION/README.elksemu
+ find $PKG/usr/man -name "elks*.*" -exec rm -f {} \;
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/d/dev86/dev86.info b/source/d/dev86/dev86.info
new file mode 100644
index 000000000..ef223b1de
--- /dev/null
+++ b/source/d/dev86/dev86.info
@@ -0,0 +1,8 @@
+PRGNAM="dev86"
+VERSION="0.16.15"
+HOMEPAGE="http://homepage.ntlworld.com/robert.debath/"
+DOWNLOAD="http://distrib-coffee.ipsl.jussieu.fr/pub/linux/momonga/1/PKGS/SOURCES/Dev86src-0.16.15.tar.gz"
+MD5SUM="c3266fa6530b472e1d3e98d826db6409"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/source/d/dev86/slack-desc b/source/d/dev86/slack-desc
new file mode 100644
index 000000000..557638a6b
--- /dev/null
+++ b/source/d/dev86/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+dev86: dev86 (8086 development utilities)
+dev86:
+dev86: This is a complete 8086 assembler and loader which can make 32-bit
+dev86: code for the 386+ processors. In the past it was used to compile the
+dev86: 16-bit bootsector and setup binaries for the kernel, but modern
+dev86: (2.4.x or newer) kernels use GNU ld instead.
+dev86:
+dev86: Homepage: http://homepage.ntlworld.com/robert.debath/
+dev86:
+dev86:
+dev86: